### Navigation

- index
- modules |
- next |
- Sage Reference v6.4.1 »

# Welcome to Sage’s Reference Manual!

This is a thematic index of all of Sage’s features. It also contains many examples that illustrate their use, all of them systematically tested with each release.

Enjoy Sage!

# Table of Contents

- The Sage Command Line
- The Sage Notebook

## Calculus, Plotting

- Symbolic Calculus
- Constants
- Functions
- 2D Graphics
- 3D Graphics

## Combinatorics, Discrete Mathematics

- Combinatorics
- Graph Theory
- Matroid Theory
- Discrete Dynamics
- Quivers

## Structures, Coercion, Categories

- Basic Structures
- Coercion
- Category Theory and Categories

## Rings, Fields, Algebras

- General Rings, Ideals, and Morphisms
- Standard Commutative Rings
- Fixed and Arbitrary Precision Numerical Fields
- Finite Rings
- Algebraic Number Fields
- Function Fields
- p-Adics
- Polynomial Rings
- Power Series Rings
- Standard Semirings
- Algebras
- Quaternion Algebras

## Groups, Monoids, Matrices, Modules

- Groups
- Monoids
- Matrices and Spaces of Matrices
- Modules

## Geometry and Topology

- Combinatorial Geometry
- Cell Complexes and their Homology
- Differential Forms
- Parametrized Surfaces

## Number Theory, Algebraic Geometry

- Quadratic Forms
- L-Functions
- Schemes
- Elliptic, Plane, and Hyperelliptic Curves
- Arithmetic Subgroups of SL_2(Z)
- General Hecke Algebras and Hecke Modules
- Modular Symbols
- Modular Forms
- Modular Forms for Hecke Triangle Groups
- Modular Abelian Varieties
- Miscellaneous Modular-Form-Related Modules

## Miscellaneous Mathematics

- Games
- Symbolic Logic
- SAT solvers
- Cryptography
- Numerical Optimization
- Probability
- Statistics
- Quantitative Finance
- Coding Theory
- Game Theory

## Doctesting, Interfaces, Databases, Miscellany

- Doctesting
- Development Scripts
- Interpreter Interfaces
- C/C++ Library Interfaces
- Databases
- Parallel Computing
- Miscellaneous

## Other

- SAGE’s To Do list

- History and License

## Indices and Tables

- Index
- Module Index
- Search Page

This work is licensed under a Creative Commons Attribution-Share Alike 3.0 License.

### Navigation

- index
- modules |
- next |
- Sage Reference v6.4.1 »